import { RendererPlugin } from '@antv/g';
import { Container } from 'inversify';
import RBush from 'rbush';
import { StyleRenderer } from './shapes/styles';
import { PathGeneratorFactory, PathGenerator } from './shapes/paths';
import { RBushRoot } from './CanvasRendererPlugin';
import { RBushNode, RBushNodeAABB } from './components/RBushNode';
export { PathGeneratorFactory, PathGenerator, StyleRenderer, RBushNode, RBushNodeAABB, RBushRoot, RBush, };
export declare class Plugin implements RendererPlugin {
    init(container: Container): void;
    destroy(container: Container): void;
}
