import { LinearGradient, RadialGradient, PARSED_COLOR_TYPE } from '@antv/g';
export declare type GradientParams = (LinearGradient | RadialGradient) & {
    width: number;
    height: number;
    type: PARSED_COLOR_TYPE;
};
export declare class GradientPool {
    private gradientCache;
    getOrCreateGradient(params: GradientParams, context: CanvasRenderingContext2D): CanvasGradient;
    private generateCacheKey;
}
