import type { ParsedBaseStyleProps, DisplayObject } from '@antv/g';
export declare const StyleRendererFactory = "StyleRendererFactory";
export declare const StyleRenderer = "StyleRenderer";
export interface StyleRenderer {
    render(context: CanvasRenderingContext2D, parsedStyle: ParsedBaseStyleProps, object: DisplayObject): void;
}
export * from './Default';
export * from './Image';
export * from './Text';
